# keyframeadd.cpp File Reference

Template File. More...

`#include "keyframeadd.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::KeyframeAdd)
| ACTION_SET_NAME (Action::KeyframeAdd,"KeyframeAdd")
| ACTION_SET_LOCAL_NAME (Action::KeyframeAdd, N_("Add Keyframe"))
| ACTION_SET_TASK (Action::KeyframeAdd,"add")
| ACTION_SET_CATEGORY (Action::KeyframeAdd, Action::CATEGORY_KEYFRAME)
| ACTION_SET_PRIORITY (Action::KeyframeAdd, 0)
| ACTION_SET_VERSION (Action::KeyframeAdd,"0.0")
| ACTION_SET_CVS_ID (Action::KeyframeAdd,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::KeyframeAdd |  | ) |

ACTION_SET_NAME | ( | Action::KeyframeAdd | ,
|  | "KeyframeAdd" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::KeyframeAdd | ,
|  | N_("Add Keyframe") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::KeyframeAdd | ,
|  | "add" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::KeyframeAdd | ,
|  | Action::CATEGORY_KEYFRAME |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::KeyframeAdd | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::KeyframeAdd | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::KeyframeAdd | ,
|  | "$Id$" |  |
| ) |  |  |